### 设置###
log4j.rootLogger = debug,stdout,D,E
log4j.logger.com.boshiyuan.mapper=DEBUG

### 输出信息到控制抬 ###
log4j.appender.stdout = org.apache.log4j.ConsoleAppender
log4j.appender.stdout.Target = System.out
log4j.appender.stdout.layout = org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern = [%-5p] %d{yyyy-MM-dd HH:mm:ss,SSS} method:%l%n%m%n

### 输出DEBUG 级别以上的日志到=E://logs/log.log ###
log4j.appender.D = org.apache.log4j.DailyRollingFileAppender
#windows 系统日志־
#log4j.appender.D.File = E://logs/boshiyuan_api_admin_log.log
#linux日志
log4j.appender.D.File = logs/boshiyuan_api_admin_log.log
log4j.appender.D.Append = true
log4j.appender.D.Threshold = DEBUG 
log4j.appender.D.layout = org.apache.log4j.PatternLayout
log4j.appender.D.layout.ConversionPattern = %-d{yyyy-MM-dd HH:mm:ss}  [ %t:%r ] - [ %p ]  %m%n


###ERROR级别日志 ###
log4j.appender.E = org.apache.log4j.DailyRollingFileAppender
#windows
#log4j.appender.E.File = E://logs/boshiyuan_api_admin_error.log
#linu־
log4j.appender.E.File = logs/boshiyuan_api_admin_log.log
log4j.appender.E.Append = true
log4j.appender.E.Threshold = ERROR 
log4j.appender.E.layout = org.apache.log4j.PatternLayout
log4j.appender.E.layout.ConversionPattern = %-d{yyyy-MM-dd HH:mm:ss}  [ %t:%r ] - [ %p ]  %m%n 
